Package org.talend.transform.camel

# Class TdmEndpoint

java.lang.Object
org.apache.camel.support.service.BaseService
org.apache.camel.support.service.ServiceSupport
org.apache.camel.support.DefaultEndpoint
org.apache.camel.support.ScheduledPollEndpoint
org.apache.camel.support.DefaultPollingEndpoint
org.talend.transform.camel.TdmEndpoint

All Implemented Interfaces:
  `AutoCloseable`, `org.apache.camel.CamelContextAware`, `org.apache.camel.ComponentAware`, `org.apache.camel.Endpoint`, `org.apache.camel.IsSingleton`, `org.apache.camel.Service`, `org.apache.camel.ShutdownableService`, `org.apache.camel.spi.HasCamelContext`, `org.apache.camel.spi.HasId`, `org.apache.camel.StatefulService`, `org.apache.camel.SuspendableService`

public class TdmEndpoint extends org.apache.camel.support.DefaultPollingEndpoint implements org.apache.camel.Service
TdmEndpoint wraps the `TdmProcessor` to allow it to run in a camel route being configured through the `TdmComponent`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected TdmProcessor`
`_processor`

### Fields inherited from class org.apache.camel.support.service.BaseService

`BUILT, FAILED, INITIALIZED, INITIALIZING, lock, NEW, SHUTDOWN, SHUTTING_DOWN, STARTED, STARTING, status, STOPPED, STOPPING, SUSPENDED, SUSPENDING`

## Method Summary

Modifier and Type
Method
Description
`protected org.apache.camel.Processor`
`createProcessor()`
`org.apache.camel.Producer`
`createProducer()`
`String`
`getCid()`
`String`
`getDevInstall()`
`String`
`getDevWorkspace()`
`String`
`getDummy()`
`String`
`getExceptionThreshold()`
`String`
`getLog()`
`String`
`getLoggingLevel()`
`String`
`getOutputType()`
`String`
`getProjectArchives()`
`String`
`getProjects()`
`String`
`getVersion()`
`boolean`
`isAllowJavaCall()`
`boolean`
`isRequiresDSQLRuntime()`
`boolean`
`isRequiresEclipseRuntime()`
`boolean`
`isSingleton()`
`boolean`
`isTerminal()`
`protected void`
`onExchange(org.apache.camel.Exchange exchange)`
`void`
`setAllowJavaCall(boolean allowJavaCall)`
`void`
`setCid(String cId)`
`void`
`setDevInstall(String devInstall)`
`void`
`setDevWorkspace(String devWorkspace)`
`void`
`setDummy(String dummy)`
`void`
`setExceptionThreshold(String projects)`
`void`
`setExchangeSourceElemPath(String exchangeSourceElemPath)`
`void`
`setLog(String log)`
`void`
`setLoggingLevel(String loggingLevel)`
`void`
`setOutputType(String outputType)`
`void`
`setProjectArchives(String projectArchives)`
`void`
`setProjects(String projects)`
`void`
`setRequiresDSQLRuntime(boolean requiresDSQLRuntime)`
`void`
`setRequiresEclipseRuntime(boolean requiresEclipseRuntime)`
`void`
`setTerminal(boolean isTerminal)`
`void`
`setVersion(String version)`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class org.apache.camel.support.DefaultPollingEndpoint

`createConsumer`

### Methods inherited from class org.apache.camel.support.ScheduledPollEndpoint

`configureConsumer, configureProperties, configureScheduledPollConsumerProperties, doConfigureConsumer, getBackoffErrorThreshold, getBackoffIdleThreshold, getBackoffMultiplier, getDefaultDelay, getDelay, getInitialDelay, getPollStrategy, getRepeatCount, getRunLoggingLevel, getScheduledExecutorService, getScheduler, getSchedulerProperties, getTimeUnit, isGreedy, isSendEmptyMessageWhenIdle, isStartScheduler, isUseFixedDelay, setBackoffErrorThreshold, setBackoffIdleThreshold, setBackoffMultiplier, setDelay, setGreedy, setInitialDelay, setPollStrategy, setRepeatCount, setRunLoggingLevel, setScheduledExecutorService, setScheduler, setSchedulerProperties, setSendEmptyMessageWhenIdle, setStartScheduler, setTimeUnit, setUseFixedDelay`

### Methods inherited from class org.apache.camel.support.DefaultEndpoint

`configureExchange, configurePollingConsumer, createAsyncProducer, createEndpointUri, createExchange, createExchange, createPollingConsumer, doInit, equals, getCamelContext, getComponent, getEndpointKey, getEndpointUri, getExceptionHandler, getExchangePattern, getId, getPollingConsumerBlockTimeout, getPollingConsumerQueueSize, hashCode, isAutowiredEnabled, isBridgeErrorHandler, isLazyStartProducer, isLenientProperties, isPollingConsumerBlockWhenFull, isPollingConsumerCopy, setAutowiredEnabled, setBridgeErrorHandler, setCamelContext, setComponent, setEndpointUri, setEndpointUriIfNotSpecified, setExceptionHandler, setExchangePattern, setLazyStartProducer, setPollingConsumerBlockTimeout, setPollingConsumerBlockWhenFull, setPollingConsumerCopy, setPollingConsumerQueueSize, setProperties, toString`

### Methods inherited from class org.apache.camel.support.service.BaseService

`build, doBuild, doFail, doLifecycleChange, doResume, doShutdown, doStart, doStop, doSuspend, fail, getInternalLock, getStatus, init, isBuild, isInit, isNew, isRunAllowed, isShutdown, isStarted, isStarting, isStartingOrStarted, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, suspend`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.camel.ComponentAware

`getComponent`

### Methods inherited from interface org.apache.camel.Endpoint

`getEndpointBaseUri, isRemote, isSingletonProducer`

### Methods inherited from interface org.apache.camel.Service

`build, close, init`

### Methods inherited from interface org.apache.camel.ShutdownableService

`shutdown`

### Methods inherited from interface org.apache.camel.StatefulService

`getStatus, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isSuspending`

### Methods inherited from interface org.apache.camel.SuspendableService

`isSuspended, resume, suspend`

## Field Details

### _processor

protected TdmProcessor _processor

## Method Details

### isTerminal

public boolean isTerminal()

### setTerminal

public void setTerminal(boolean isTerminal)

### isRequiresEclipseRuntime

public boolean isRequiresEclipseRuntime()

### setRequiresEclipseRuntime

public void setRequiresEclipseRuntime(boolean requiresEclipseRuntime)

### isRequiresDSQLRuntime

public boolean isRequiresDSQLRuntime()

### setRequiresDSQLRuntime

public void setRequiresDSQLRuntime(boolean requiresDSQLRuntime)

### isAllowJavaCall

public boolean isAllowJavaCall()

### setAllowJavaCall

public void setAllowJavaCall(boolean allowJavaCall)

### getCid

public String getCid()

### setCid

public void setCid(String cId)

### getVersion

public String getVersion()

### setVersion

public void setVersion(String version)

### getDummy

public String getDummy()

### setDummy

public void setDummy(String dummy)

### getExceptionThreshold

public String getExceptionThreshold()

### setExceptionThreshold

public void setExceptionThreshold(String projects)

### setOutputType

public void setOutputType(String outputType)

### getOutputType

public String getOutputType()

### getLoggingLevel

public String getLoggingLevel()

### setLoggingLevel

public void setLoggingLevel(String loggingLevel)

### start

public void start()

Specified by:
  `start` in interface `org.apache.camel.Service`
Overrides:
  `start` in class `org.apache.camel.support.service.BaseService`

### stop

public void stop()

Specified by:
  `stop` in interface `org.apache.camel.Service`
Overrides:
  `stop` in class `org.apache.camel.support.service.BaseService`

### createProducer

public org.apache.camel.Producer createProducer() throws Exception

Specified by:
  `createProducer` in interface `org.apache.camel.Endpoint`
Throws:
  `Exception`

### createProcessor

protected org.apache.camel.Processor createProcessor() throws Exception

Throws:
  `Exception`

### onExchange

protected void onExchange(org.apache.camel.Exchange exchange) throws Exception

Throws:
  `Exception`

### isSingleton

public boolean isSingleton()

Specified by:
  `isSingleton` in interface `org.apache.camel.IsSingleton`
Overrides:
  `isSingleton` in class `org.apache.camel.support.DefaultEndpoint`

### getProjectArchives

public String getProjectArchives()

### setProjectArchives

public void setProjectArchives(String projectArchives)

### getProjects

public String getProjects()

### setProjects

public void setProjects(String projects)

### getDevWorkspace

public String getDevWorkspace()

### setDevWorkspace

public void setDevWorkspace(String devWorkspace)

### getDevInstall

public String getDevInstall()

### setDevInstall

public void setDevInstall(String devInstall)

### getLog

public String getLog()

### setLog

public void setLog(String log)

### setExchangeSourceElemPath

public void setExchangeSourceElemPath(String exchangeSourceElemPath)